## postgresql 7.2

=== doc/Makefile ===
#----------------------------------------------------------------------------
#
# PostgreSQL documentation installation makefile
#
# Copyright (c) 1994, Regents of the University of California
#
# $Header: /cvsroot/pgsql/doc/Makefile,v 1.21 2001/08/29 19:14:39 petere Exp $
#
#----------------------------------------------------------------------------

# This makefile is responsible for installing the documentation. The
# files to be installed are prepared specially and are placed in this
# directory during distribution bundling. In CVS-based trees these
# files don't exist, so we skip the installation in that case.
#
# Before we install the man pages, we massage the section numbers to
# follow the local conventions.
#
# To actually build the documenation, look into the src/ and src/sgml
# subdirectories.

subdir = doc
top_builddir = ..
include $(top_builddir)/src/Makefile.global

.NOTPARALLEL:

ifneq ($(wildcard $(srcdir)/postgres.tar.gz),)
found_html := yes
endif

ifneq ($(wildcard $(srcdir)/man.tar.gz),)
# SCO OpenServer's man system is sufficiently different to not bother.
ifneq ($(PORTNAME), sco)
found_man := yes
endif
endif


ifdef found_man
ifndef sqlmansect
sqlmansect = 7
endif
sqlmansectnum = $(shell expr X'$(sqlmansect)' : X'\([0-9]\)')

all: man1/.timestamp man$(sqlmansectnum)/.timestamp

man1/.timestamp man$(sqlmansect_dummy)/.timestamp: man.tar.gz
	gzip -d -c $< | $(TAR) xf -
	for file in man1/*.1; do \
	  mv $$file $$file.bak && \
	  sed -e 's/\\fR($(sqlmansect_dummy))/\\fR($(sqlmansectnum))/' $$file.bak >$$file && \
	  rm $$file.bak || exit; \
	done
	@echo timestamp >man1/.timestamp
	@echo timestamp >man$(sqlmansect_dummy)/.timestamp

man$(sqlmansectnum)/.timestamp: man$(sqlmansect_dummy)/.timestamp
	$(mkinstalldirs) man$(sqlmansectnum)
	for file in man$(sqlmansect_dummy)/*.$(sqlmansect_dummy); do \
	  sed -e '/^\.TH/s/"$(sqlmansect_dummy)"/"$(sqlmansect)"/'   \
              -e 's/\\fR($(sqlmansect_dummy))/\\fR($(sqlmansectnum))/' \
	      $$file >man$(sqlmansectnum)/`basename $$file | sed 's/.$(sqlmansect_dummy)$$/.$(sqlmansect)/'` || exit; \
	done
	@echo timestamp >$@
endif # found_man


install: all installdirs
ifdef found_html
	gzip -d -c postgres.tar.gz | ( cd $(DESTDIR)$(docdir)/html && $(TAR) xf - )
endif
ifdef found_man
	for file in man1/*.1 man$(sqlmansectnum)/*.$(sqlmansect) ; do \
	  $(INSTALL_DATA) $$file $(DESTDIR)$(mandir)/$$file || exit; \
	done
endif


installdirs:
ifdef found_html
	$(mkinstalldirs) $(DESTDIR)$(docdir)/html
endif
ifdef found_man
	$(mkinstalldirs) $(addprefix $(DESTDIR)$(mandir)/man, 1 $(sqlmansectnum))
endif


uninstall:
ifdef found_html
	-rm -f $(addprefix $(DESTDIR)$(docdir)/html/, $(shell gunzip -c $(srcdir)/postgres.tar.gz | tar tf -))
endif
ifdef found_man
	-rm -f $(addprefix $(DESTDIR)$(mandir)/, $(shell gunzip -c $(srcdir)/man.tar.gz | tar tf - | sed -e 's,man$(sqlmansect_dummy)/,man$(sqlmansectnum)/,' -e 's/.$(sqlmansect_dummy)$$/.$(sqlmansect)/'))
endif


clean:
	rm -rf man1/ man$(sqlmansectnum)/ man$(sqlmansect_dummy)/

distclean maintainer-clean: clean

=== contrib/dblink/Makefile ===
# $Header: /cvsroot/pgsql/contrib/dblink/Makefile,v 1.4 2001/09/06 10:49:29 petere Exp $

subdir = contrib/dblink
top_builddir = ../..
include $(top_builddir)/src/Makefile.global

MODULE_big = dblink
PG_CPPFLAGS = -I$(libpq_srcdir)
OBJS	= dblink.o
SHLIB_LINK = $(libpq)

DATA_built = dblink.sql 
DOCS = README.dblink

include $(top_srcdir)/contrib/contrib-global.mk

=== contrib/pg_dumplo/Makefile ===
# $Header: /cvsroot/pgsql/contrib/pg_dumplo/Makefile,v 1.11 2001/09/06 10:49:30 petere Exp $

subdir = contrib/pg_dumplo
top_builddir = ../..
include $(top_builddir)/src/Makefile.global

PROGRAM = pg_dumplo
OBJS	= main.o lo_export.o lo_import.o utils.o

PG_CPPFLAGS = -I$(libpq_srcdir)
PG_LIBS = $(libpq)

DOCS = README.pg_dumplo

include $(top_srcdir)/contrib/contrib-global.mk

=== contrib/retep/Makefile ===
#-------------------------------------------------------------------------
#
# Makefile for contributed retep tools
#
# Copyright (c) 2001, PostgreSQL Global Development Group
#
# $Header: /cvsroot/pgsql/contrib/retep/Makefile,v 1.1 2001/07/06 23:07:20 petere Exp $
#
#-------------------------------------------------------------------------

subdir = contrib/retep
top_builddir = ../..
include $(top_builddir)/src/Makefile.global

all:
	$(ANT) -buildfile $(srcdir)/build.xml all

install: installdirs
	$(ANT) -buildfile $(srcdir)/build.xml install \
	  -Dinstall.directory=$(javadir)

installdirs:
	$(mkinstalldirs) $(javadir)

uninstall:
	$(ANT) -buildfile $(srcdir)/build.xml uninstall \
	  -Dinstall.directory=$(javadir)

clean distclean maintainer-clean:
	$(ANT) -buildfile $(srcdir)/build.xml clean

=== contrib/xml/Makefile ===
#-------------------------------------------------------------------------
#
# Makefile--
# Adapted from tutorial makefile
#-------------------------------------------------------------------------

subdir = contrib/xml
top_builddir = ../..
include $(top_builddir)/src/Makefile.global

override CFLAGS+= $(CFLAGS_SL) -g


#
# DLOBJS is the dynamically-loaded object files.  The "funcs" queries
# include CREATE FUNCTIONs that load routines from these files.
#
DLOBJS= pgxml_dom$(DLSUFFIX)


QUERIES= pgxml_dom.sql

all: $(DLOBJS) $(QUERIES)

%.so: %.o
	$(CC) -shared -lxml2 -o $@ $<


%.sql: %.source
	if [ -z "$$USER" ]; then USER=$$LOGNAME; fi; \
	if [ -z "$$USER" ]; then USER=`whoami`; fi; \
	if [ -z "$$USER" ]; then echo 'Cannot deduce $$USER.'; exit 1; fi; \
	rm -f $@; \
	C=`pwd`; \
	sed -e "s:_CWD_:$$C:g" \
	    -e "s:_OBJWD_:$$C:g" \
	    -e "s:_DLSUFFIX_:$(DLSUFFIX):g" \
	    -e "s/_USER_/$$USER/g" < $< > $@

clean:
	rm -f $(DLOBJS) $(QUERIES)

=== src/backend/Makefile ===
#-------------------------------------------------------------------------
#
# Makefile for the postgres backend
#
# Copyright (c) 1994, Regents of the University of California
#
# $Header: /cvsroot/pgsql/src/backend/Makefile,v 1.75 2001/11/20 00:27:13 tgl Exp $
#
#-------------------------------------------------------------------------

subdir = src/backend
top_builddir = ../..
include $(top_builddir)/src/Makefile.global

DIRS := access bootstrap catalog parser commands executor lib libpq \
	main nodes optimizer port postmaster regex rewrite \
	storage tcop utils

ifdef TIOGA
DIRS += tioga
endif

OBJS := $(DIRS:%=%/SUBSYS.o)

ifeq ($(PORTNAME), qnx4)
# This file crashes qnx4's wlink and is therefore not in
# bootstrap/SUBSYS.o on that platform. (Wotta hack ... is it still
# necessary?) [ Yes, until the Watcom compiler goes open source it's
# effectively unsupported ]
OBJS+= bootstrap/bootstrap.o
endif


##########################################################################

all: postgres $(POSTGRES_IMP)
ifeq ($(enable_nls), yes)
	$(MAKE) -C po all
endif

ifneq ($(PORTNAME), win)

postgres: $(OBJS)
	$(CC) $(CFLAGS) $(LDFLAGS) $(export_dynamic) $^ $(LIBS) -o $@

else # win

# No points for style here. How about encapsulating some of these
# commands into variables?
postgres: $(OBJS) $(top_builddir)/src/utils/dllinit.o postgres.def libpostgres.a
	dlltool --dllname $@$(X) --output-exp $@.exp --def postgres.def
	gcc -g -o $@$(X) -Wl,--base-file,$@.base $@.exp $(OBJS) $(DLLLIBS)
	dlltool --dllname $@$(X) --base-file $@.base --output-exp $@.exp --def postgres.def
	gcc -g -o $@$(X) $@.exp $(OBJS) $(DLLLIBS)
	rm $@.exp $@.base

endif # win


# Parallel make trickery
$(OBJS): $(DIRS:%=%-recursive)

.PHONY: $(DIRS:%=%-recursive)
# Update the commonly used headers before building the subdirectories
$(DIRS:%=%-recursive): $(top_builddir)/src/include/parser/parse.h $(top_builddir)/src/include/utils/fmgroids.h
	$(MAKE) -C $(subst -recursive,,$@) all


ifeq ($(MAKE_DLL), true)

postgres.def: $(OBJS)
	$(DLLTOOL) --export-all --output-def $@ $(OBJS)

libpostgres.a: $(OBJS) $(top_builddir)/src/utils/dllinit.o postgres.def
	$(DLLTOOL) --dllname postgres.exe --def postgres.def --output-lib $@

endif # MAKE_DLL


$(top_builddir)/src/utils/dllinit.o: $(top_srcdir)/src/utils/dllinit.c
	$(MAKE) -C $(top_builddir)/src/utils dllinit.o

# The postgres.o target is needed by the rule in Makefile.global that
# creates the exports file when MAKE_EXPORTS = true.
postgres.o: $(OBJS)
	$(CC) $(LDREL) $(LDFLAGS) $^ $(LIBS) -o $@


# The following targets are specified in make commands that appear in
# the make files in our subdirectories. Note that it's important we
# match the dependencies shown in the subdirectory makefiles!

$(srcdir)/parser/parse.h: parser/gram.y
	$(MAKE) -C parser parse.h

utils/fmgroids.h: utils/Gen_fmgrtab.sh $(top_srcdir)/src/include/catalog/pg_proc.h
	$(MAKE) -C utils fmgroids.h

# Make symlinks for these headers in the include directory. That way
# we can cut down on the -I options. Also, a symlink is automatically
# up to date when we update the base file.

$(top_builddir)/src/include/parser/parse.h: $(srcdir)/parser/parse.h
	prereqdir=`cd $(dir $<) >/dev/null && pwd` && \
	  cd $(dir $@) && rm -f $(notdir $@) && \
	  $(LN_S) "$$prereqdir/$(notdir $<)" .

$(top_builddir)/src/include/utils/fmgroids.h: utils/fmgroids.h
	cd $(dir $@) && rm -f $(notdir $@) && \
	    $(LN_S) ../../../$(subdir)/utils/fmgroids.h .


##########################################################################

distprep:
	$(MAKE) -C parser	gram.c parse.h scan.c
	$(MAKE) -C bootstrap	bootparse.c bootstrap_tokens.h bootscanner.c
	$(MAKE) -C utils/misc	guc-file.c
ifeq ($(enable_nls), yes)
	$(MAKE) -C po $@
endif

##########################################################################

install: all installdirs install-bin
ifeq ($(PORTNAME), win)
ifeq ($(MAKE_DLL), true)
	$(INSTALL_DATA) libpostgres.a $(DESTDIR)$(libdir)/libpostgres.a
endif
endif
	$(MAKE) -C catalog install-bki
	$(INSTALL_DATA) $(srcdir)/libpq/pg_hba.conf.sample $(DESTDIR)$(datadir)/pg_hba.conf.sample
	$(INSTALL_DATA) $(srcdir)/libpq/pg_ident.conf.sample $(DESTDIR)$(datadir)/pg_ident.conf.sample
	$(INSTALL_DATA) $(srcdir)/utils/misc/postgresql.conf.sample $(DESTDIR)$(datadir)/postgresql.conf.sample
ifeq ($(enable_nls), yes)
	$(MAKE) -C po $@
endif

install-bin: postgres $(POSTGRES_IMP) installdirs
	$(INSTALL_PROGRAM) postgres$(X) $(DESTDIR)$(bindir)/postgres$(X)
	@rm -f $(DESTDIR)$(bindir)/postmaster
	ln -s postgres$(X) $(DESTDIR)$(bindir)/postmaster
ifeq ($(MAKE_EXPORTS), true)
	$(INSTALL_DATA) $(POSTGRES_IMP) $(DESTDIR)$(pkglibdir)/$(POSTGRES_IMP)
endif

.PHONY: install-bin

installdirs:
	$(mkinstalldirs) $(DESTDIR)$(bindir) $(DESTDIR)$(datadir)
ifeq ($(PORTNAME), win)
ifeq ($(MAKE_DLL), true)
	$(mkinstalldirs) $(DESTDIR)$(libdir)
endif
endif
ifeq ($(MAKE_EXPORTS), true)
	$(mkinstalldirs) $(DESTDIR)$(pkglibdir)
endif
ifeq ($(enable_nls), yes)
	$(MAKE) -C po $@
endif

##########################################################################

uninstall:
	rm -f $(DESTDIR)$(bindir)/postgres$(X) $(DESTDIR)$(bindir)/postmaster
ifeq ($(MAKE_EXPORTS), true)
	rm -f $(DESTDIR)$(pkglibdir)/$(POSTGRES_IMP)
endif
ifeq ($(PORTNAME), win)
ifeq ($(MAKE_DLL), true)
	rm -f $(DESTDIR)$(libdir)/libpostgres.a
endif
endif
	$(MAKE) -C catalog uninstall-bki
	rm -f $(DESTDIR)$(datadir)/pg_hba.conf.sample \
	      $(DESTDIR)$(datadir)/pg_ident.conf.sample \
	      $(DESTDIR)$(datadir)/postgresql.conf.sample
ifeq ($(enable_nls), yes)
	$(MAKE) -C po $@
endif


##########################################################################

clean:
	rm -f postgres$(X) $(POSTGRES_IMP) \
		$(top_srcdir)/src/include/parser/parse.h \
		$(top_builddir)/src/include/utils/fmgroids.h
ifeq ($(PORTNAME), win)
ifeq ($(MAKE_DLL), true)
	rm -f postgres.dll postgres.def libpostgres.a
endif
endif
	for i in $(DIRS); do $(MAKE) -C $$i clean || exit; done
ifeq ($(enable_nls), yes)
	$(MAKE) -C po $@
endif

distclean: clean
	rm -f port/Makefile port/tas.s port/dynloader.c

maintainer-clean: distclean
	rm -f $(srcdir)/bootstrap/bootparse.c \
	      $(srcdir)/bootstrap/bootscanner.c \
	      $(srcdir)/bootstrap/bootstrap_tokens.h \
	      $(srcdir)/parser/gram.c \
	      $(srcdir)/parser/scan.c \
	      $(srcdir)/parser/parse.h \
	      $(srcdir)/utils/misc/guc-file.c
	$(MAKE) -C po maintainer-clean


##########################################################################
#
# Support for code development.
#
# Use target "quick" to build "postgres" when you know all the subsystems 
# are up to date.  It saves the time of doing all the submakes.
.PHONY: quick
quick: $(OBJS)
	$(CC) $(CFLAGS) $(LDFLAGS) $(export_dynamic) $^ $(LIBS) -o postgres

depend dep: $(top_srcdir)/src/include/parser/parse.h $(top_builddir)/src/include/utils/fmgroids.h
	for i in $(DIRS); do $(MAKE) -C $$i $@; done

=== src/bin/Makefile ===
#-------------------------------------------------------------------------
#
# Makefile for src/bin (client programs)
#
# Portions Copyright (c) 1996-2001, PostgreSQL Global Development Group
# Portions Copyright (c) 1994, Regents of the University of California
#
# $Header: /cvsroot/pgsql/src/bin/Makefile,v 1.34 2001/02/18 18:33:59 momjian Exp $
#
#-------------------------------------------------------------------------

subdir = src/bin
top_builddir = ../..
include $(top_builddir)/src/Makefile.global

DIRS := initdb initlocation ipcclean pg_ctl pg_dump pg_id \
	pg_passwd psql scripts pg_config

ifdef MULTIBYTE
DIRS += pg_encoding
endif

ifeq ($(with_tcl), yes)
ifeq ($(with_tk), yes)
	DIRS += pgaccess
endif
	DIRS += pgtclsh
endif

all install installdirs uninstall depend distprep:
	@for dir in $(DIRS); do $(MAKE) -C $$dir $@ || exit; done

clean distclean maintainer-clean:
	-@for dir in $(DIRS); do $(MAKE) -C $$dir $@; done

=== src/interfaces/Makefile ===
#-------------------------------------------------------------------------
#
# Makefile for src/interfaces
#
# Copyright (c) 1994, Regents of the University of California
#
# $Header: /cvsroot/pgsql/src/interfaces/Makefile,v 1.45 2001/03/09 21:50:27 petere Exp $
#
#-------------------------------------------------------------------------

subdir = src/interfaces
top_builddir = ../..
include $(top_builddir)/src/Makefile.global

DIRS := libpq ecpg libpgeasy

ALLDIRS := $(DIRS) odbc libpq++ libpgtcl perl5 python jdbc

ifeq ($(enable_odbc), yes)
DIRS += odbc
endif

ifeq ($(with_CXX), yes)
DIRS += libpq++
endif

ifeq ($(with_tcl), yes)
DIRS += libpgtcl
endif

ifeq ($(with_perl), yes)
DIRS += perl5
endif

ifeq ($(with_python), yes)
DIRS += python
endif

ifeq ($(with_java), yes)
DIRS += jdbc
endif


all install installdirs uninstall dep depend distprep:
	@for dir in $(DIRS); do $(MAKE) -C $$dir $@ || exit; done

clean:
	@for dir in $(DIRS); do $(MAKE) -C $$dir $@; done

distclean maintainer-clean:
	@for dir in $(ALLDIRS); do $(MAKE) -C $$dir $@; done

=== src/tutorial/Makefile ===
#-------------------------------------------------------------------------
#
# Makefile--
#    Makefile for tutorial
#
# IDENTIFICATION
#    $Header: /cvsroot/pgsql/src/tutorial/Makefile,v 1.14 2001/10/26 20:45:33 tgl Exp $
#
#-------------------------------------------------------------------------

subdir = src/tutorial
top_builddir = ../..
include $(top_builddir)/src/Makefile.global

override CFLAGS+= $(CFLAGS_SL)
override DLLLIBS := $(BE_DLLLIBS) $(DLLLIBS)

#
# DLOBJS are the dynamically-loaded object files.  The "funcs" queries
# include CREATE FUNCTIONs that load routines from these files.
#
DLOBJS= complex$(DLSUFFIX) funcs$(DLSUFFIX)

QUERIES= advanced.sql basics.sql complex.sql funcs.sql syscat.sql

all: $(DLOBJS) $(QUERIES)

%.sql: %.source
	rm -f $@; \
	C=`pwd`; \
	sed -e "s:_OBJWD_:$$C:g" < $< > $@

clean:
	rm -f $(DLOBJS) $(QUERIES)

=== src/utils/Makefile ===
#-------------------------------------------------------------------------
#
# Makefile for utils
#
# $Header: /cvsroot/pgsql/src/utils/Makefile,v 1.9 2000/08/31 16:12:35 petere Exp $
#
# About strdup:  Some systems have strdup in their standard library, others
# don't.  Ones that don't will use this make file to compile the strdup.c
# in this directory.  (You don't see strdup mentioned because the implicit
# rule does the job).  We don't make strdup.o unless asked to explicitly
# because the strdup.c in this directory may conflict with the strdup()
# prototype from the system library and cause a compile error.
#
# getopt.o is likewise built only on request.
#
# dllinit.o is only built on Win32 platform.
#
#-------------------------------------------------------------------------

subdir = src/utils
top_builddir = ../..
include $(top_builddir)/src/Makefile.global

all:

clean distclean maintainer-clean:
	rm -f dllinit.o getopt.o strdup.o

depend dep:
	$(CC) $(CFLAGS) -MM *.c >depend

ifeq (depend,$(wildcard depend))
include depend
endif

=== doc/src/sgml/Makefile ===
#----------------------------------------------------------------------------
#
# Makefile
#	Postgres documentation makefile
#	Thomas Lockhart
#
# Copyright (c) 1994, Regents of the University of California
#
#
# IDENTIFICATION
#    $Header: /cvsroot/pgsql/doc/src/sgml/Makefile,v 1.49 2002/01/30 21:54:17 petere Exp $
#
#----------------------------------------------------------------------------

subdir = doc/src/sgml
top_builddir = ../../..
include $(top_builddir)/src/Makefile.global

.SECONDARY:
.NOTPARALLEL:

ifndef DOCBOOKSTYLE
DOCBOOKSTYLE = /home/projects/pgsql/developers/thomas/db162.d/docbook
endif

ifndef DOCBOOKINDEX
  DOCBOOKINDEX = $(DOCBOOKSTYLE)/bin/collateindex.pl
endif

ifndef JADE
JADE = jade
endif
SGMLINCLUDE = -D $(srcdir) -D $(srcdir)/ref

ifndef NSGMLS
NSGMLS = nsgmls
endif

ifndef SGMLSPL
SGMLSPL = sgmlspl
endif

CONVERT = convert
EPSTOPDF = epstopdf


# docbook2man generates man pages from docbook refentry source code.

ifndef D2MDIR
# This is where the (patched) docbook2man perl scripts reside on hub.org.
D2MDIR= /home/users/t/thomas/d2x/docbook2man
endif
D2MSCRIPT= $(D2MDIR)/docbook2man-spec.pl

vpath %.sgml ./ref

ALLBOOKS = admin developer programmer reference tutorial user

ALLSGML := $(wildcard $(srcdir)/*.sgml $(srcdir)/ref/*.sgml) bookindex.sgml setindex.sgml

CATALOG = $(DOCBOOKSTYLE)/catalog


##
## Man pages
##

.PHONY: man

DEFAULTSECTION := $(sqlmansect_dummy)

man: $(ALLSGML)
	$(NSGMLS) $(NSGMLS_FLAGS) $(srcdir)/book-decl.sgml $(srcdir)/reference.sgml \
	  | $(SGMLSPL) $(D2MSCRIPT) --lowercase --section $(DEFAULTSECTION) --date "`date '+%Y-%m-%d'`"
# One more time, to resolve cross-references
	$(NSGMLS) $(NSGMLS_FLAGS) $(srcdir)/book-decl.sgml $(srcdir)/reference.sgml \
	  | $(SGMLSPL) $(D2MSCRIPT) --lowercase --section $(DEFAULTSECTION) --date "`date '+%Y-%m-%d'`"
	$(mkinstalldirs) man1 man$(DEFAULTSECTION)
	mv *.1 man1/
	mv *.$(DEFAULTSECTION) man$(DEFAULTSECTION)/


##
## HTML
##

JADE.html = $(JADE) $(JADEFLAGS) $(SGMLINCLUDE) -c $(CATALOG) -d stylesheet.dsl -i output-html -t sgml

postgres.html: postgres.sgml $(ALLSGML) stylesheet.dsl
	@rm -f *.html
	$(JADE.html) $<
	ln -sf index.html $@

$(addsuffix .html, $(ALLBOOKS)): %.html: %.sgml $(ALLSGML) stylesheet.dsl
	@rm -f *.html
	$(JADE.html) book-decl.sgml $<
	ln -sf index.html $@

programmer.html: catalogs.gif connections.gif
postgres.html: catalogs.gif connections.gif


COLLATEINDEX = $(PERL) $(DOCBOOKINDEX) -f -g -t 'Index'

ifeq (,$(wildcard HTML.index))
bookindex.sgml:
ifeq (,$(wildcard $(COLLATEINDEX)))
	touch $@
else
	$(COLLATEINDEX) -o $@ -N
endif

setindex.sgml:
ifeq (,$(wildcard $(COLLATEINDEX)))
	touch $@
else
	$(COLLATEINDEX) -x -o $@ -N
endif
else
bookindex.sgml: HTML.index
	$(COLLATEINDEX) -i 'bookindex' -o $@ $<

setindex.sgml: HTML.index
	$(COLLATEINDEX) -i 'setindex' -x -o $@ $<
endif


##
## Print
##

# RTF to allow minor editing for hardcopy
$(addsuffix .rtf, $(ALLBOOKS)): %.rtf: %.sgml $(ALLSGML) stylesheet.dsl
	$(JADE) $(JADEFLAGS) $(SGMLINCLUDE) -c $(CATALOG) -d stylesheet.dsl -t rtf -V rtf-backend -i output-print book-decl.sgml $<

# TeX
# Regular TeX and pdfTeX have slightly differing requirements, so we
# need to distinguish the path we're taking.

$(addsuffix .tex-ps, $(ALLBOOKS)): %.tex-ps: %.sgml $(ALLSGML) stylesheet.dsl
	$(JADE) $(JADEFLAGS) $(SGMLINCLUDE) -c $(CATALOG) -d stylesheet.dsl -t tex -V tex-backend -i output-print -V texdvi-output -o $@ book-decl.sgml $<

programmer.tex-ps: catalogs.eps connections.eps

$(addsuffix .tex-pdf, $(ALLBOOKS)): %.tex-pdf: %.sgml $(ALLSGML) stylesheet.dsl
	$(JADE) $(JADEFLAGS) $(SGMLINCLUDE) -c $(CATALOG) -d stylesheet.dsl -t tex -V tex-backend -i output-print -V texpdf-output -o $@ book-decl.sgml $<

programmer.tex-pdf: catalogs.pdf connections.pdf

%.dvi: %.tex-ps
	@rm -f $*.aux $*.log
	jadetex $<
	jadetex $<
	jadetex $<

# Postscript from TeX
%.ps: %.dvi
	dvips -o $@ $<

%.pdf: %.tex-pdf
	@rm -f $*.aux $*.log $*.out
	pdfjadetex $<
	pdfjadetex $<
	pdfjadetex $<


# This generates an XML version of the flow-object tree.  It's useful
# for debugging DSSSL code, and possibly to interface to some other
# tools that can make use of this.
$(addsuffix .fot, $(ALLBOOKS)): %.fot: %.sgml $(ALLSGML) stylesheet.dsl
	$(JADE) $(JADEFLAGS) $(SGMLINCLUDE) -c $(CATALOG) -d stylesheet.dsl -t fot -i output-print -o $@ book-decl.sgml $<


# Graphics

%.gif:
	cp $(srcdir)/../graphics/$@ .

%.eps: %.gif
	$(CONVERT) $< eps:$@

%.pdf: %.eps
	$(EPSTOPDF) $<


##
## Semi-automatic generation of some text files.
##

JADE.text = $(JADE) $(JADEFLAGS) $(SGMLINCLUDE) -c $(CATALOG) -d stylesheet.dsl -i output-text -t sgml

INSTALL HISTORY regress_README: % : %.html
	@echo "|";\
	 echo "| You should now take '$<', save it as a text file in Netscape,";\
	 echo "| and put it in place of the existing '$@' file.";\
	 echo "|"

INSTALL.html: standalone-install.sgml installation.sgml
	$(JADE.text) -V nochunks $+ >$@

HISTORY.html: release.sgml
	( echo '<!doctype appendix PUBLIC "-//OASIS//DTD DocBook V3.1//EN">'; \
	  cat $< ) >tempfile_HISTORY.sgml
	$(JADE.text) -V nochunks tempfile_HISTORY.sgml >$@
	rm tempfile_HISTORY.sgml

regress_README.html: regress.sgml
	( echo '<!doctype chapter PUBLIC "-//OASIS//DTD DocBook V3.1//EN" ['; \
	  echo '<!entity % standalone-ignore "IGNORE"> ]>'; \
	  cat $< ) >tempfile_regress_README.sgml
	$(JADE.text) -V nochunks tempfile_regress_README.sgml >$@
	rm tempfile_regress_README.sgml


##
## Check
##

check: $(addprefix check-, $(ALLBOOKS)) check-postgres

# Quick syntax check without style processing
$(addprefix check-, $(ALLBOOKS)): check-%: %.sgml
	$(NSGMLS) $(SGMLINCLUDE) -s book-decl.sgml $<

check-postgres: postgres.sgml
	$(NSGMLS) $(SGMLINCLUDE) -s $<


##
## Clean
##

clean distclean maintainer-clean:
# HTML
	rm -f HTML.manifest *.html *.gif
# man
	rm -rf *.1 *.$(DEFAULTSECTION) man1 man$(DEFAULTSECTION) manpage.refs manpage.links manpage.log
# print
	rm -f *.rtf *.tex-ps *.tex-pdf *.dvi *.aux *.log *.ps *.pdf *.out *.eps *.fot
# index
	rm -f HTML.index bookindex.sgml setindex.sgml

=== src/backend/access/Makefile ===
#
# Makefile for the access methods module
#
# $Header: /cvsroot/pgsql/src/backend/access/Makefile,v 1.7 2000/08/31 16:09:26 petere Exp $
#

subdir = src/backend/access
top_builddir = ../../..
include $(top_builddir)/src/Makefile.global

SUBDIRS	    := common gist hash heap index nbtree rtree transam
SUBDIROBJS  := $(SUBDIRS:%=%/SUBSYS.o)

all: SUBSYS.o

SUBSYS.o: $(SUBDIROBJS)
	$(LD) $(LDREL) $(LDOUT) $@ $^

$(SUBDIROBJS): $(SUBDIRS:%=%-recursive)

.PHONY: $(SUBDIRS:%=%-recursive)
$(SUBDIRS:%=%-recursive):
	$(MAKE) -C $(subst -recursive,,$@) SUBSYS.o

clean:
	for dir in $(SUBDIRS); do $(MAKE) -C $$dir $@ || exit; done
	rm -f SUBSYS.o

dep depend:
	for dir in $(SUBDIRS); do $(MAKE) -C $$dir $@ || exit; done

## postgresql 7.2.1

=== contrib/array/Makefile ===
# $Header: /cvsroot/pgsql/contrib/array/Makefile,v 1.16 2001/09/06 10:49:29 petere Exp $

subdir = contrib/array
top_builddir = ../..
include $(top_builddir)/src/Makefile.global

MODULES = array_iterator
DATA_built = array_iterator.sql
DOCS = README.array_iterator

include $(top_srcdir)/contrib/contrib-global.mk

=== contrib/btree_gist/Makefile ===
# $Header: /cvsroot/pgsql/contrib/btree_gist/Makefile,v 1.3 2001/09/06 10:49:29 petere Exp $

subdir = contrib/btree_gist
top_builddir = ../..
include $(top_builddir)/src/Makefile.global

MODULES = btree_gist
DATA_built = btree_gist.sql
DOCS = README.btree_gist
REGRESS = btree_gist

include $(top_srcdir)/contrib/contrib-global.mk

=== contrib/pg_controldata/Makefile ===
# $Header: /cvsroot/pgsql/contrib/pg_controldata/Makefile,v 1.5 2001/09/06 10:49:29 petere Exp $

subdir = contrib/pg_controldata
top_builddir = ../..
include $(top_builddir)/src/Makefile.global

PROGRAM = pg_controldata
OBJS	= pg_controldata.o pg_crc.o $(SNPRINTF)

pg_crc.c: $(top_srcdir)/src/backend/utils/hash/pg_crc.c
	rm -f $@ && $(LN_S) $< .

# this only gets done if configure finds system doesn't have snprintf()
snprintf.c: $(top_srcdir)/src/backend/port/snprintf.c
	rm -f $@ && $(LN_S) $< .

EXTRA_CLEAN = pg_crc.c snprintf.c

DOCS = README.pg_controldata

include $(top_srcdir)/contrib/contrib-global.mk

=== contrib/pg_logger/Makefile ===
# $Header: /cvsroot/pgsql/contrib/pg_logger/Makefile,v 1.2 2001/09/06 10:49:30 petere Exp $

subdir = contrib/pg_logger
top_builddir = ../..
include $(top_builddir)/src/Makefile.global

PROGRAM = pg_logger
OBJS	= pg_logger.o

DOCS = README.pg_logger

include $(top_srcdir)/contrib/contrib-global.mk

=== contrib/pg_resetxlog/Makefile ===
# $Header: /cvsroot/pgsql/contrib/pg_resetxlog/Makefile,v 1.3 2001/09/06 10:49:30 petere Exp $

subdir = contrib/pg_resetxlog
top_builddir = ../..
include $(top_builddir)/src/Makefile.global

PROGRAM = pg_resetxlog
OBJS	= pg_resetxlog.o pg_crc.o $(SNPRINTF)

pg_crc.c: $(top_srcdir)/src/backend/utils/hash/pg_crc.c
	rm -f $@ && $(LN_S) $< .

# this only gets done if configure finds system doesn't have snprintf()
snprintf.c: $(top_srcdir)/src/backend/port/snprintf.c
	rm -f $@ && $(LN_S) $< .

EXTRA_CLEAN = pg_crc.c snprintf.c

DOCS = README.pg_resetxlog

include $(top_srcdir)/contrib/contrib-global.mk

=== contrib/string/Makefile ===
# $Header: /cvsroot/pgsql/contrib/string/Makefile,v 1.16 2001/09/06 10:49:30 petere Exp $

subdir = contrib/string
top_builddir = ../..
include $(top_builddir)/src/Makefile.global

MODULES = string_io
DATA_built = string_io.sql
DOCS = README.string_io

include $(top_srcdir)/contrib/contrib-global.mk

=== contrib/tips/Makefile ===
# $Header: /cvsroot/pgsql/contrib/tips/Makefile,v 1.5 2001/09/06 10:49:30 petere Exp $

subdir = contrib/tips
top_builddir = ../..
include $(top_builddir)/src/Makefile.global

DOCS = README.apachelog

include $(top_srcdir)/contrib/contrib-global.mk

=== doc/src/Makefile ===
# Postgres documentation makefile
# $Header: /cvsroot/pgsql/doc/src/Makefile,v 1.28 2001/11/25 22:17:27 petere Exp $

subdir = doc/src
top_builddir = ../..
include $(top_builddir)/src/Makefile.global

ZIPSUFFIX= gz

BOOKS = admin developer reference programmer tutorial user  postgres

TARGETS= $(BOOKS:%=%.tar.$(ZIPSUFFIX))

.PRECIOUS:
.PHONY: install all sources clean distclean

install:
	$(MAKE) all
	(mv -f *.$(ZIPSUFFIX) ..)

clean:
	$(MAKE) -C sgml clean

distclean:
	$(MAKE) -C sgml distclean

all: $(TARGETS)

sources:
	$(MAKE) sources.tar.$(ZIPSUFFIX)

sources.tar:
	$(TAR) -cf $@ sgml graphics

# Build twice to resolve index entries
$(addsuffix .tar, $(BOOKS)):
	$(MAKE) -C sgml clean
	$(MAKE) -C sgml $(basename $@).html
	$(MAKE) -C sgml $(basename $@).html JADEFLAGS='-V html-manifest'
	cd sgml && $(TAR) -cf ../$@ `cat HTML.manifest` `echo *.gif | grep -v '\*'` *.css

man.tar:
	$(MAKE) -C sgml man
	$(TAR) -cf $@ -C sgml man1 man$(sqlmansect_dummy)

=== src/backend/bootstrap/Makefile ===
#-------------------------------------------------------------------------
#
# Makefile for the bootstrap module
#
# $Header: /cvsroot/pgsql/src/backend/bootstrap/Makefile,v 1.30 2002/01/09 00:06:42 tgl Exp $
#
#-------------------------------------------------------------------------

subdir = src/backend/bootstrap
top_builddir = ../../..
include $(top_builddir)/src/Makefile.global

override CPPFLAGS := -I$(srcdir) $(CPPFLAGS)

# qnx4's wlink currently crashes with bootstrap.o
ifneq ($(PORTNAME), qnx4)
OBJS= bootparse.o bootscanner.o bootstrap.o 
else
OBJS= bootparse.o bootscanner.o
endif


# make sure bootstrap.o is built even on qnx4
all: SUBSYS.o bootstrap.o

SUBSYS.o: $(OBJS)
	$(LD) $(LDREL) $(LDOUT) $@ $^


bootstrap.o bootscanner.o: $(srcdir)/bootstrap_tokens.h


# `sed' rules to remove conflicts between bootstrap scanner and parser
# and the SQL scanner and parser. For correctness' sake the rules that
# use this must depend on this Makefile.
define sed-magic
sed -e 's/^yy/Int_yy/g' \
    -e 's/\([^a-zA-Z0-9_]\)yy/\1Int_yy/g'
endef


$(srcdir)/bootparse.c: $(srcdir)/bootstrap_tokens.h ;

$(srcdir)/bootstrap_tokens.h: bootparse.y Makefile
ifdef YACC
	$(YACC) -d $(YFLAGS) $<
	$(sed-magic) < y.tab.c > $(srcdir)/bootparse.c
	$(sed-magic) < y.tab.h > $(srcdir)/bootstrap_tokens.h
	rm -f y.tab.c y.tab.h
else
	@$(missing) bison $< $@
endif

$(srcdir)/bootscanner.c: bootscanner.l Makefile
ifdef FLEX
	$(FLEX) $(FLEXFLAGS) $<
	$(sed-magic) lex.yy.c > $@
	rm -f lex.yy.c
else
	@$(missing) flex $< $@
endif

clean:
	rm -f SUBSYS.o $(OBJS) bootstrap.o
# And the garbage that might have been left behind by partial build:
	@rm -f y.tab.h y.tab.c y.output lex.yy.c


# This is unusual:  We actually have to build some of the parts before
# we know what the header file dependencies are.  
dep depend: bootparse.c bootscanner.c bootstrap_tokens.h
	$(CC) -MM $(CFLAGS) *.c >depend

ifeq (depend,$(wildcard depend))
include depend
endif

=== src/backend/catalog/Makefile ===
#-------------------------------------------------------------------------
#
# Makefile for catalog
#
# $Header: /cvsroot/pgsql/src/backend/catalog/Makefile,v 1.37 2001/08/25 18:52:41 tgl Exp $
#
#-------------------------------------------------------------------------

subdir = src/backend/catalog
top_builddir = ../../..
include $(top_builddir)/src/Makefile.global

OBJS = catalog.o heap.o index.o indexing.o aclchk.o \
       pg_aggregate.o pg_largeobject.o pg_operator.o pg_proc.o \
       pg_type.o

BKIFILES = postgres.bki postgres.description

all: SUBSYS.o $(BKIFILES)

SUBSYS.o: $(OBJS)
	$(LD) $(LDREL) $(LDOUT) SUBSYS.o $(OBJS)

# Note: there are some undocumented dependencies on the ordering in which
# the catalog header files are assembled into postgres.bki.  In particular,
# indexing.h had better be last.

POSTGRES_BKI_SRCS := $(addprefix $(top_srcdir)/src/include/catalog/,\
	pg_proc.h pg_type.h pg_attribute.h pg_class.h \
	pg_attrdef.h pg_relcheck.h pg_inherits.h pg_index.h \
	pg_operator.h pg_opclass.h pg_am.h pg_amop.h pg_amproc.h \
	pg_language.h pg_largeobject.h pg_aggregate.h pg_statistic.h \
	pg_rewrite.h pg_trigger.h pg_listener.h pg_description.h \
	pg_database.h pg_shadow.h pg_group.h indexing.h \
    )

pg_includes := $(sort -I$(top_srcdir)/src/include -I$(top_builddir)/src/include)

postgres.bki postgres.description: genbki.sh $(POSTGRES_BKI_SRCS) \
    $(top_srcdir)/src/include/postgres_ext.h $(top_builddir)/src/include/pg_config.h
	CPP='$(CPP)' AWK='$(AWK)' $(SHELL) $< $(BKIOPTS) -o postgres $(pg_includes) $(POSTGRES_BKI_SRCS) --set-version=$(VERSION)

.PHONY: install-bki
install-bki: $(BKIFILES) installdirs
	$(INSTALL_DATA) postgres.bki         $(DESTDIR)$(datadir)/postgres.bki
	$(INSTALL_DATA) postgres.description $(DESTDIR)$(datadir)/postgres.description

installdirs:
	$(mkinstalldirs) $(DESTDIR)$(datadir)

.PHONY: uninstall-bki
uninstall-bki:
	rm -f $(addprefix $(DESTDIR)$(datadir)/, $(BKIFILES))


clean: 
	rm -f SUBSYS.o $(OBJS) $(BKIFILES)

=== src/backend/parser/Makefile ===
#-------------------------------------------------------------------------
#
# Makefile for parser
#
# $Header: /cvsroot/pgsql/src/backend/parser/Makefile,v 1.35 2001/11/16 16:32:33 petere Exp $
#
#-------------------------------------------------------------------------

subdir = src/backend/parser
top_builddir = ../../..
include $(top_builddir)/src/Makefile.global

OBJS= analyze.o gram.o keywords.o parser.o parse_agg.o parse_clause.o \
      parse_expr.o parse_func.o parse_node.o parse_oper.o parse_relation.o \
      parse_type.o parse_coerce.o parse_target.o scan.o scansup.o


all: SUBSYS.o

SUBSYS.o: $(OBJS)
	$(LD) $(LDREL) $(LDOUT) $@ $^


# There is no correct way to write a rule that generates two files.
# Rules with two targets don't have that meaning, they are merely
# shorthand for two otherwise separate rules.  To be safe for parallel
# make, we must chain the dependencies like this.  The semicolon is
# important, otherwise make will choose the built-in rule for
# gram.y=>gram.c.

$(srcdir)/gram.c: $(srcdir)/parse.h ;

$(srcdir)/parse.h: gram.y
ifdef YACC
	$(YACC) -d $(YFLAGS) $<
	mv -f y.tab.c $(srcdir)/gram.c
	mv -f y.tab.h $(srcdir)/parse.h
else
	@$(missing) bison $< $@
endif


$(srcdir)/scan.c: scan.l
ifdef FLEX
	$(FLEX) $(FLEXFLAGS) -Pbase_yy -o'$@' $<
else
	@$(missing) flex $< $@
endif


# Force these dependencies to be known even without dependency info built:

analyze.o keywords.o parse_clause.o parse_expr.o parser.o scan.o: $(srcdir)/parse.h


# gram.c, parse.h, and scan.c are in the distribution tarball, so they
# are not cleaned here.
clean: 
	rm -f SUBSYS.o $(OBJS)
# And the garbage that might have been left behind by partial build:
	@rm -f y.tab.c y.tab.h lex.yy.c


# This is unusual:  We actually have to build some of the parts before
# we know what the header file dependencies are.  
dep depend: gram.c scan.c
	$(CC) -MM $(CFLAGS) *.c >depend

ifeq (depend,$(wildcard depend))
include depend
endif

=== src/backend/tioga/Makefile ===
#-------------------------------------------------------------------------
#
# Makefile--
#    Makefile for tioga
#
# IDENTIFICATION
#    $Header: /cvsroot/pgsql/src/backend/tioga/Makefile,v 1.10 2001/02/20 19:20:28 petere Exp $
#
#-------------------------------------------------------------------------

subdir = src/backend/tioga
top_builddir = ../../..
include $(top_builddir)/src/Makefile.global

OBJS = tgRecipe.o Varray.o
override CPPFLAGS := -I$(srcdir) $(CPPFLAGS)

all: SUBSYS.o

SUBSYS.o: $(OBJS)
	$(LD) $(LDREL) $(LDOUT) SUBSYS.o $(OBJS)

depend dep:
	$(CC) -MM $(CFLAGS) *.c >depend

clean: 
	rm -f SUBSYS.o $(OBJS) 

ifeq (depend,$(wildcard depend))
include depend
endif

## postgresql 7.4.7

=== contrib/tsearch2/snowball/Makefile ===
# $Header: /cvsroot/pgsql/contrib/tsearch2/snowball/Makefile,v 1.4 2003/08/23 04:25:29 petere Exp $

subdir = contrib/tsearch2/snowball
top_builddir = ../../..
include $(top_builddir)/src/Makefile.global


PG_CPPFLAGS = -I$(srcdir)/..
override CFLAGS += $(CFLAGS_SL)

SUBOBJS = english_stem.o api.o russian_stem.o utilities.o

all: SUBSYS.o

SUBSYS.o: $(SUBOBJS)
	$(LD) $(LDREL) $(LDOUT) $@ $^

EXTRA_CLEAN = SUBSYS.o $(SUBOBJS)

include $(top_srcdir)/contrib/contrib-global.mk

=== src/backend/port/beos/Makefile ===
#-------------------------------------------------------------------------
#
# Makefile--
#    Makefile for port/beos
#
# IDENTIFICATION
#    $Header: /cvsroot/pgsql/src/backend/port/beos/Makefile,v 1.3 2003/04/24 17:16:13 momjian Exp $
#
#-------------------------------------------------------------------------

subdir = src/backend/port/beos
top_builddir = ../../../..
include $(top_builddir)/src/Makefile.global

OBJS = sem.o shm.o support.o

all: SUBSYS.o 

SUBSYS.o: $(OBJS)
	$(LD) $(LDREL) $(LDOUT) SUBSYS.o $(OBJS)

depend dep:
	$(CC) -MM $(CFLAGS) $(CPPFLAGS) *.c >depend

clean: 
	rm -f SUBSYS.o $(OBJS) 

ifeq (depend,$(wildcard depend))
include depend
endif

## postgresql 7.5.9

=== debian/changelog ===
postgresql (7.5.9) unstable; urgency=low

  * Recommend the split out PL/* languages and add a note to the package
    description.
  * Remove obsolete conffile /etc/cron.d/postgresql (if unchanged).

 -- Martin Pitt <mpitt@debian.org>  Wed, 31 Aug 2005 11:41:43 +0200

postgresql (7.5.8) unstable; urgency=low

  * Not only clean .profile/.bash_profile in /var/lib/postgres, but also in
    postgres' actual home directory. Closes: #315422

 -- Martin Pitt <mpitt@debian.org>  Mon, 27 Jun 2005 00:23:09 +0200

postgresql (7.5.7) unstable; urgency=low

  * Fixed home directory correction in /etc/passwd.

 -- Martin Pitt <mpitt@debian.org>  Tue, 21 Jun 2005 19:54:54 +0200

postgresql (7.5.6) unstable; urgency=low

  * remove_unchanged_conffile(): Don't fail if the file does not exist any
    more.

 -- Martin Pitt <mpitt@debian.org>  Fri, 17 Jun 2005 18:32:02 +0200

postgresql (7.5.5) unstable; urgency=low

  * Remove obsolete conffile /etc/logrotate.d/postgresql (if unchanged).
  * Try to move the log file to the new canonical location.
  * Make the cleanup of /var/lib/postgres more error resistant.
    Closes: #312581
  * Restructured the postinst: Move functions that must only be executed once
    to sarge_etch_transition() and cleanup functions which can be executed at
    any time to cleanup().
  * postinst: Check the version we are upgrading from and do the adequate
    actions.
  * postinst: Remove obsolete stuff from /var/lib/postgres/.[bash_]profile and
    remove the file if only whitespace is left after that. Closes: #312514
  * Print a very short status message and help pointers after a successful
    transition.
  * Clean /var/lib/postgres/.bash_history.
  * Correct home directory of postgres user to /var/lib/postgresql.

 -- Martin Pitt <mpitt@debian.org>  Fri, 17 Jun 2005 18:22:17 +0200

postgresql (7.5.4) unstable; urgency=low

  * First unstable upload.

 -- Martin Pitt <mpitt@debian.org>  Tue,  7 Jun 2005 12:54:29 +0200

postgresql (7.5.3) experimental; urgency=low

  * debian/postgresql.postinst: Fix pg_createcluster call, now use -d
    parameter.

 -- Martin Pitt <mpitt@debian.org>  Mon,  6 Jun 2005 10:33:44 +0200

postgresql (7.5.2) experimental; urgency=low

  * Adapt dynamic_library_path in postgresql.conf. Closes: #300902

 -- Martin Pitt <mpitt@debian.org>  Mon, 28 Mar 2005 12:59:38 +0200

postgresql (7.5.1) experimental; urgency=low

  * Remove /etc/init.d/postgresql if it is unmodified; rename it to .dpkg-old
    and remove executability if it was modified.
  * Improved removal of obsolete conffiles.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 22 Mar 2005 22:25:14 +0100

postgresql (7.5.0) experimental; urgency=low

  * Initial release of transition package to new multicluster/multiversion
    architecture.

 -- Martin Pitt <mpitt@debian.org>  Tue, 15 Feb 2005 22:58:37 +0100

=== debian/control ===
Source: postgresql
Section: misc
Priority: optional
Maintainer: Martin Pitt <mpitt@debian.org>
Standards-Version: 3.6.1
Build-Depends-Indep: debhelper (>= 4.1.29)

Package: postgresql
Architecture: all
Section: misc
Depends: postgresql-7.4, postgresql-client (>= 7.5)
Recommends: postgresql-plpython-7.4, postgresql-plperl-7.4, postgresql-pltcl-7.4
Conflicts: postgresql-contrib (<< 7.5), postgresql-common (<< 12)
Description: object-relational SQL database management system (transitional)
 This is a transitional package to automatically migrate to the new
 multicluster/multiversion structure provided by postgresql-common and
 postgresql-<version>. On installation it will integrate the existing
 database into this new structure. You can safely remove this package
 afterwards.
 . 
 The various procedural languages (PL/Python, PL/Tcl, PL/Perl) have
 now been split out to separate packages. If you use any of these
 languages, you need to install these packages as well.
 .
 PostgreSQL is a fully featured object-relational database management
 system.  It supports a large part of the SQL standard and is designed
 to be extensible by users in many aspects.  Some of the features are:
 ACID transactions, foreign keys, views, sequences, subqueries,
 triggers, user-defined types and functions, outer joins, multiversion
 concurrency control.  Graphical user interfaces and bindings for many
 programming languages are available as well.

Package: postgresql-client
Architecture: all
Section: misc
Depends: postgresql-client-7.4
Conflicts: postgresql-contrib (<< 7.5), postgresql (<< 7.5)
Description: front-end programs for PostgreSQL (transitional package)
 This is a transitional package to automatically migrate to the new
 multicluster/multiversion structure provided by postgresql-common and
 postgresql-<version>. You can safely remove this package after a
 successful installation.
 .
 This package contains client and administrative programs for
 PostgreSQL: these are the interactive terminal client psql and
 programs for creating and removing users and databases.
 .
 If you install PostgreSQL on a standalone machine, you need this
 package, too.  On a network, you can install this package on many
 client machines, while the postgresql-server package may be installed
 on only one machine.
 .
 PostgreSQL is an object-relational SQL database management system.

Package: postgresql-doc
Architecture: all
Section: doc
Depends: postgresql-doc-7.4
Suggests: doc-linux-html,pgdocs
Description: documentation for the PostgreSQL RDBMS (transitional package)
 This is a transitional package to automatically migrate to the new
 multicluster/multiversion structure provided by postgresql-common and
 postgresql-<version>. You can safely remove this package after a
 successful installation.
 .
 This package contains all README files, user manual, and examples for
 all PostgreSQL packages.  The manual is in HTML format.  See the
 packages pgdocs-pdf and pgdocs-pdf-a4 for other printable formats.
 .
 PostgreSQL is an object-relational SQL database management system.

Package: postgresql-contrib
Architecture: all
Section: misc
Depends: postgresql-contrib-7.4, postgresql (>= 7.5)
Description: additional facilities for PostgreSQL (transitional package)
 This is a transitional package to automatically migrate to the new
 multicluster/multiversion structure provided by postgresql-common and
 postgresql-<version>. You can safely remove this package after a
 successful installation.
 .
 The PostgreSQL contrib package provides several additional features for
 the PostgreSQL database. contrib often serves as a testbed for features
 before they are adopted into PostgreSQL proper.
 .
 PostgreSQL is an object-relational SQL database management system.

Package: postgresql-dev
Architecture: all
Section: libdevel
Depends: libpq-dev
Description: development files for libpq (transitional package)
 This is a transitional package to automatically migrate to the new
 multicluster/multiversion structure provided by postgresql-common and
 postgresql-<version>. You can safely remove this package after a
 successful installation.
 .
 The former postgresql-dev package has been split up into libpq-dev
 for client-side development and postgresql-server-dev-<version>
 packages for server-side development. However, this package does not
 depend on postgresql-server-dev-<version>.

## postgresql 7.5.16.1

=== debian/changelog ===
postgresql (7.5.16.1) dapper; urgency=low

  * Fake sync from Debian to get bug fixes for the transition to the new
    architecture (only affects upgrades from Hoary, though).

 -- Martin Pitt <martin.pitt@ubuntu.com>  Sat, 25 Feb 2006 12:40:50 +0100

postgresql (7.5.16) unstable; urgency=low

  * Bump Standards-Version.
  * Start cluster after library path adaption in postgresql.conf, not before.
  * Migrate custom settings in postgresql.env and postmaster.conf to the new
    environment file. Closes: #340166
  * debian/control: Bump postgresql-common dependency to 40, which supports
    environment file handling.
  * test-psql-transition: Use set +e after the actual transition to be able to
    examine status even after failures.
  * Create a fake postgresql.conf in preinst and remove it in postinst again,
    now that postgresql-common actually checks for the existance of it to
    decide whether to create a cluster.

 -- Martin Pitt <mpitt@debian.org>  Sat, 11 Feb 2006 13:17:35 +0100

postgresql (7.5.15) unstable; urgency=high

  * Urgency high since this bug broke upgrades from Sarge.
  * debian/postgresql.preinst: Stop postmaster so that it really is not
    running during the transition. 
  * Add test-psql-transition: Test script that uses pbuilder to test the
    upgrade from Sarge to the new infrastructure. This is not shipped.

 -- Martin Pitt <mpitt@debian.org>  Thu, 29 Dec 2005 15:47:22 +0100

postgresql (7.5.14) unstable; urgency=medium

  * Urgency medium, this upload just fixes a bug that will break sarge
    upgrades with postgresql-common 38.
  * debian/postgresql.postinst: Drop the obsolete -s from the pg_ctlcluster
    call.

 -- Martin Pitt <mpitt@debian.org>  Wed, 28 Dec 2005 15:06:38 +0100

postgresql (7.5.13) unstable; urgency=high

  * Urgency high since the only change is a simple bug fix.
  * Fix the path of the plpgsql.so symlink. (Brown paperbag...).
    Closes: #337514

 -- Martin Pitt <mpitt@debian.org>  Sat,  5 Nov 2005 08:11:18 -0500

postgresql (7.5.12) unstable; urgency=medium

  * Urgency medium since the only change is a simple bug fix.
  * Add a symbolic link for plpgsql.so in the legacy location to not break
    upgrades of databases which contain the old path. Closes: #333681, #316387

 -- Martin Pitt <mpitt@debian.org>  Wed, 26 Oct 2005 19:13:50 +0100

postgresql (7.5.11) unstable; urgency=medium

  * Urgency medium, only two small and safe bug fixes.
  * Add forgotten slash in usermod call to fix home directory.
  * Migrate /var/lib/postgres/.bash_history to new home directory
    /var/lib/postgresql/ instead of removing it. Closes: #330354

 -- Martin Pitt <mpitt@debian.org>  Wed, 28 Sep 2005 09:57:34 +0200

postgresql (7.5.10) unstable; urgency=low

  * Use usermod instead of sed to fix postgres' home directory.

 -- Martin Pitt <mpitt@debian.org>  Mon,  5 Sep 2005 23:30:21 +0200

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,15 @@
 Section: misc
 Priority: optional
 Maintainer: Martin Pitt <mpitt@debian.org>
-Standards-Version: 3.6.1
+Standards-Version: 3.6.2
 Build-Depends-Indep: debhelper (>= 4.1.29)
 
 Package: postgresql
 Architecture: all
 Section: misc
-Depends: postgresql-7.4, postgresql-client (>= 7.5)
+Depends: postgresql-7.4, postgresql-client (>= 7.5), postgresql-common (>= 40)
 Recommends: postgresql-plpython-7.4, postgresql-plperl-7.4, postgresql-pltcl-7.4
-Conflicts: postgresql-contrib (<< 7.5), postgresql-common (<< 12)
+Conflicts: postgresql-contrib (<< 7.5)
 Description: object-relational SQL database management system (transitional)
  This is a transitional package to automatically migrate to the new
  multicluster/multiversion structure provided by postgresql-common and
